System.ServiceModel 4.0.0.0

Implement the interface and add it to the property to initialize and clean up thread-local storage for the thread that invokes user code. Typical usage is to set some value, such as impersonation or changing the . If you wanted to establish some custom context, this is the extension point to initialize the static context property, which is then available for developers in the course of the operation.

Defines the methods that enable the initialization and recycling of thread-local storage with the thread that invokes user code.

- Method
  4.0.0.0
  System.Void ``

  Use this method to perform any necessary cleaning up of the operation thread.

  Implement to participate in cleaning up the thread that invoked the operation.

  The correlation object returned from the method.
- Method
  4.0.0.0
  System.Object `` `` ``

  Implement the method to initialize and clean up thread-local storage for the thread that invokes user code. Typical usage is to set some value, such as impersonation or changing the . If you wanted to establish some custom context, this is the extension point to initialize the static context property, which is then available for developers in the course of the operation.

  Implement to participate in the initialization of the operation thread.

  A correlation object passed back as the parameter of the method.

  The service instance for the operation. The client channel. The incoming message.